/* eslint max-len: ["error", { "ignoreStrings": true }] */
import React from 'react';

export const ProfileIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="1.5"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M17.982 18.725A7.488 7.488 0 0012 15.75a7.488 7.488 0 00-5.982 2.975m11.963 0a9 9 0 10-11.963 0m11.963 0A8.966 8.966 0 0112 21a8.966 8.966 0 01-5.982-2.275M15 9.75a3 3 0 11-6 0 3 3 0 016 0z"
    ></path>
  </svg>
);

export const GlobeIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="1.5"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M12 21a9.004 9.004 0 008.716-6.747M12 21a9.004 9.004 0 01-8.716-6.747M12 21c2.485 0 4.5-4.03 4.5-9S14.485 3 12 3m0 18c-2.485 0-4.5-4.03-4.5-9S9.515 3 12 3m0 0a8.997 8.997 0 017.843 4.582M12 3a8.997 8.997 0 00-7.843 4.582m15.686 0A11.953 11.953 0 0112 10.5c-2.998 0-5.74-1.1-7.843-2.918m15.686 0A8.959 8.959 0 0121 12c0 .778-.099 1.533-.284 2.253m0 0A17.919 17.919 0 0112 16.5c-3.162 0-6.133-.815-8.716-2.247m0 0A9.015 9.015 0 013 12c0-1.605.42-3.113 1.157-4.418"
    ></path>
  </svg>
);

export const MenuIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="currentColor"
    stroke="none"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M 2.5474382,7.7988792 H 21.452579 c 0.278536,0 0.545671,-0.110681 0.742628,-0.307638 0.197014,-0.1969571 0.307638,-0.4640923 0.307638,-0.7426852 0,-0.2785356 -0.110624,-0.5456708 -0.307638,-0.7426279 -0.196957,-0.196957 -0.464092,-0.307638 -0.742628,-0.307638 H 2.5474382 c -0.2785528,0 -0.5456937,0.110681 -0.7426622,0.307638 -0.1969686,0.1969571 -0.3076209,0.4640923 -0.3076209,0.7426279 0,0.2785929 0.1106523,0.5457281 0.3076209,0.7426852 0.1969685,0.196957 0.4641094,0.307638 0.7426622,0.307638 z M 21.452579,16.201121 H 2.5474382 c -0.2785528,0 -0.5456937,0.110681 -0.7426622,0.307638 -0.1969686,0.196957 -0.3076209,0.464092 -0.3076209,0.742685 0,0.278536 0.1106523,0.545671 0.3076209,0.742628 0.1969685,0.196957 0.4641094,0.307638 0.7426622,0.307638 H 21.452579 c 0.278536,0 0.545671,-0.110681 0.742628,-0.307638 0.197014,-0.196957 0.307638,-0.464092 0.307638,-0.742628 0,-0.278593 -0.110624,-0.545728 -0.307638,-0.742685 -0.196957,-0.196957 -0.464092,-0.307638 -0.742628,-0.307638 z m 0,-5.251387 H 2.5474382 c -0.2785528,0 -0.5456937,0.110624 -0.7426622,0.307581 C 1.6078074,11.454329 1.4971551,11.721464 1.4971551,12 c 0,0.278536 0.1106523,0.545671 0.3076209,0.742685 0.1969685,0.196957 0.4641094,0.307581 0.7426622,0.307581 H 21.452579 c 0.278536,0 0.545671,-0.110624 0.742628,-0.307581 0.197014,-0.197014 0.307638,-0.464149 0.307638,-0.742685 0,-0.278536 -0.110624,-0.545671 -0.307638,-0.742685 -0.196957,-0.196957 -0.464092,-0.307581 -0.742628,-0.307581 z"
    />
  </svg>
);

export const ExitIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="currentColor"
    stroke="none"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M13.4099 11.9999L19.7099 5.70994C19.8982 5.52164 20.004 5.26624 20.004 4.99994C20.004 4.73364 19.8982 4.47825 19.7099 4.28994C19.5216 4.10164 19.2662 3.99585 18.9999 3.99585C18.7336 3.99585 18.4782 4.10164 18.2899 4.28994L11.9999 10.5899L5.70994 4.28994C5.52164 4.10164 5.26624 3.99585 4.99994 3.99585C4.73364 3.99585 4.47824 4.10164 4.28994 4.28994C4.10164 4.47825 3.99585 4.73364 3.99585 4.99994C3.99585 5.26624 4.10164 5.52164 4.28994 5.70994L10.5899 11.9999L4.28994 18.2899C4.19621 18.3829 4.12182 18.4935 4.07105 18.6154C4.02028 18.7372 3.99414 18.8679 3.99414 18.9999C3.99414 19.132 4.02028 19.2627 4.07105 19.3845C4.12182 19.5064 4.19621 19.617 4.28994 19.7099C4.3829 19.8037 4.4935 19.8781 4.61536 19.9288C4.73722 19.9796 4.86793 20.0057 4.99994 20.0057C5.13195 20.0057 5.26266 19.9796 5.38452 19.9288C5.50638 19.8781 5.61698 19.8037 5.70994 19.7099L11.9999 13.4099L18.2899 19.7099C18.3829 19.8037 18.4935 19.8781 18.6154 19.9288C18.7372 19.9796 18.8679 20.0057 18.9999 20.0057C19.132 20.0057 19.2627 19.9796 19.3845 19.9288C19.5064 19.8781 19.617 19.8037 19.7099 19.7099C19.8037 19.617 19.8781 19.5064 19.9288 19.3845C19.9796 19.2627 20.0057 19.132 20.0057 18.9999C20.0057 18.8679 19.9796 18.7372 19.9288 18.6154C19.8781 18.4935 19.8037 18.3829 19.7099 18.2899L13.4099 11.9999Z"
      fill="currentColor"
    />
  </svg>
);

export const DocumentIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M 9.0000253,10.000002 H 10 c 0.2652,0 0.5196,-0.1053749 0.7071,-0.2928746 0.187575,-0.187575 0.292874,-0.4419 0.292874,-0.7071002 0,-0.265275 -0.105299,-0.5195997 -0.292874,-0.7070997 C 10.5196,8.1053525 10.2652,7.9999775 10,7.9999775 H 9.0000253 c -0.265275,0 -0.5196,0.105375 -0.7071,0.29295 -0.187575,0.1875 -0.29295,0.4418247 -0.29295,0.7070997 0,0.2652002 0.105375,0.5195252 0.29295,0.7071002 0.1875,0.1874997 0.441825,0.2928746 0.7071,0.2928746 z m 0,2.000025 c -0.265275,0 -0.5196,0.1053 -0.7071,0.292875 -0.187575,0.1875 -0.29295,0.4419 -0.29295,0.7071 0,0.2652 0.105375,0.5196 0.29295,0.7071 0.1875,0.187575 0.441825,0.292875 0.7071,0.292875 h 5.9999987 c 0.2652,0 0.519526,-0.1053 0.707101,-0.292875 0.1875,-0.1875 0.292874,-0.4419 0.292874,-0.7071 0,-0.2652 -0.105374,-0.5196 -0.292874,-0.7071 -0.187575,-0.187575 -0.4419,-0.292875 -0.707101,-0.292875 z M 19.999976,8.9400272 c -0.01043,-0.091875 -0.03053,-0.1824 -0.06,-0.27 v -0.09 c -0.04807,-0.1028247 -0.1122,-0.1973997 -0.189974,-0.2800497 l -6,-5.9999775 c -0.08265,-0.07779 -0.17715,-0.1419225 -0.279975,-0.190005 -0.02985,-0.00424 -0.06015,-0.00424 -0.09,0 C 13.278402,2.051735 13.166202,2.01434 13.050027,2 H 7.0000003 C 6.2043478,2 5.4412825,2.316065 4.8786775,2.8786775 4.316065,3.4412825 4,4.2043475 4,5 v 14.000002 c 0,0.795675 0.316065,1.558725 0.8786775,2.1213 0.562605,0.56265 1.3256703,0.8787 2.1213228,0.8787 h 9.9999757 c 0.795673,0 1.558724,-0.31605 2.121375,-0.8787 0.562574,-0.562575 0.878625,-1.325625 0.878625,-2.1213 V 9.0000272 c 0,0 0,0 0,-0.06 z m -6,-3.5300322 2.590049,2.5899825 h -1.59 c -0.265275,0 -0.5196,-0.1053 -0.7071,-0.292875 -0.187575,-0.1875 -0.29295,-0.4418925 -0.29295,-0.7071075 z m 4.000049,13.590007 c 0,0.2652 -0.105375,0.5196 -0.292951,0.7071 -0.1875,0.187575 -0.441824,0.292875 -0.707098,0.292875 H 7.0000003 c -0.2652225,0 -0.51957,-0.1053 -0.7071075,-0.292875 -0.1875375,-0.1875 -0.2928978,-0.4419 -0.2928978,-0.7071 V 5 c 0,-0.2652225 0.1053603,-0.51957 0.2928978,-0.7071075 C 6.4804303,4.105355 6.7347778,3.999995 7.0000003,3.999995 h 5.0000257 v 3 c 0,0.7956825 0.31605,1.5587322 0.878624,2.1213074 0.56265,0.56265 1.3257,0.8786996 2.121376,0.8786996 h 2.999998 z m -2.999999,-3 H 9.0000253 c -0.265275,0 -0.5196,0.105375 -0.7071,0.292875 -0.187575,0.187575 -0.29295,0.4419 -0.29295,0.7071 0,0.2652 0.105375,0.5196 0.29295,0.7071 0.1875,0.187575 0.441825,0.29295 0.7071,0.29295 h 5.9999987 c 0.2652,0 0.519526,-0.105375 0.707101,-0.29295 0.1875,-0.1875 0.292874,-0.4419 0.292874,-0.7071 0,-0.2652 -0.105374,-0.519525 -0.292874,-0.7071 -0.187575,-0.1875 -0.4419,-0.292875 -0.707099,-0.292875 z"
      fill="#5cbc64"
    />
  </svg>
);

export const ArrowUpRight = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M17.9199 6.62C17.8185 6.37565 17.6243 6.18147 17.3799 6.08C17.2597 6.02876 17.1306 6.00158 16.9999 6H6.99994C6.73472 6 6.48037 6.10536 6.29283 6.29289C6.1053 6.48043 5.99994 6.73478 5.99994 7C5.99994 7.26522 6.1053 7.51957 6.29283 7.70711C6.48037 7.89464 6.73472 8 6.99994 8H14.5899L6.28994 16.29C6.19621 16.383 6.12182 16.4936 6.07105 16.6154C6.02028 16.7373 5.99414 16.868 5.99414 17C5.99414 17.132 6.02028 17.2627 6.07105 17.3846C6.12182 17.5064 6.19621 17.617 6.28994 17.71C6.3829 17.8037 6.4935 17.8781 6.61536 17.9289C6.73722 17.9797 6.86793 18.0058 6.99994 18.0058C7.13195 18.0058 7.26266 17.9797 7.38452 17.9289C7.50638 17.8781 7.61698 17.8037 7.70994 17.71L15.9999 9.41V17C15.9999 17.2652 16.1053 17.5196 16.2928 17.7071C16.4804 17.8946 16.7347 18 16.9999 18C17.2652 18 17.5195 17.8946 17.707 17.7071C17.8946 17.5196 17.9999 17.2652 17.9999 17V7C17.9984 6.86932 17.9712 6.74022 17.9199 6.62Z"
      fill="#65D36E"
    />
  </svg>
);

export const ArrowDown = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M8.61501 16.9903C8.85955 17.0913 9.13415 17.0913 9.37869 16.9903C9.49993 16.9415 9.61044 16.8694 9.70396 16.7781L16.775 9.70708C16.9626 9.51954 17.0679 9.26519 17.0679 8.99997C17.0679 8.73475 16.9626 8.4804 16.775 8.29286C16.5875 8.10533 16.3331 7.99997 16.0679 7.99997C15.8027 7.99997 15.5483 8.10533 15.3608 8.29286L9.99387 13.6598L10.0009 1.9289C10.0015 1.79689 9.97588 1.66608 9.92561 1.54402C9.87534 1.42195 9.8014 1.31104 9.70806 1.2177C9.61471 1.12435 9.50381 1.05041 9.38174 1.00014C9.25967 0.949873 9.12886 0.924272 8.99685 0.924813C8.86484 0.924272 8.73403 0.949873 8.61196 1.00014C8.48989 1.05041 8.37899 1.12435 8.28564 1.2177C8.1923 1.31104 8.11836 1.42195 8.06809 1.54402C8.01782 1.66608 7.99222 1.79689 7.99276 1.9289L7.99983 13.6598L2.63289 8.29286C2.44535 8.10533 2.191 7.99997 1.92578 7.99997C1.66057 7.99997 1.40621 8.10533 1.21868 8.29286C1.03114 8.4804 0.925781 8.73475 0.925781 8.99997C0.925781 9.26519 1.03114 9.51954 1.21868 9.70708L8.28974 16.7781C8.38326 16.8694 8.49377 16.9415 8.61501 16.9903Z"
      fill="#65D36E"
    />
  </svg>
);

export const LightModeIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="1.5"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M12 3v2.25m6.364.386l-1.591 1.591M21 12h-2.25m-.386 6.364l-1.591-1.591M12 18.75V21m-4.773-4.227l-1.591 1.591M5.25 12H3m4.227-4.773L5.636 5.636M15.75 12a3.75 3.75 0 11-7.5 0 3.75 3.75 0 017.5 0z"
    ></path>
  </svg>
);

export const DarkModeIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="1.5"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M21.752 15.002A9.718 9.718 0 0118 15.75c-5.385 0-9.75-4.365-9.75-9.75 0-1.33.266-2.597.748-3.752A9.753 9.753 0 003 11.25C3 16.635 7.365 21 12.75 21a9.753 9.753 0 009.002-5.998z"
    ></path>
  </svg>
);
